<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Rollback2 Method (IEdmEnumeratorVersion6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVersion6 Interface : Rollback2 Method (IEdmEnumeratorVersion6)

Visual Basic
C#
C++/CLI

lVersionNo
  Version number to which to roll this file back (see Remarks)

bsComment
  Comment for the rollback

Obsolete. Superseded by IEdmEnumeratorVersion7::Rollback3.

# Syntax

Visual Basic |
--- | ---

    Sub Rollback2( _
       ByVal lVersionNo As System.Integer, _
       ByVal bsComment As System.String _
    )

C# |
--- | ---

    void Rollback2(
       System.int lVersionNo,
       System.string bsComment
    )

C++/CLI |
--- | ---

    void Rollback2(
    &   System.int lVersionNo,
    &   System.String^ bsComment
    )

#### Parameters

lVersionNo
  Version number to which to roll this file back (see Remarks)
bsComment
  Comment for the rollback

# Remarks

This method destroys all versions after the version specified by lVersionNo. There is no undoing of the operation short of restoring a backup of the entire database and file archives.

After this method completes successfully, lVersionNo is the new latest version of the file.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_REVISION_NUMBER: The specified version number is out of bounds.
- E_EDM_PERMISSION_DENIED: The user lacks permission to delete files.

# See Also

####

IEdmEnumeratorVersion6 Interface
IEdmEnumeratorVersion6 Members
IEdmVersion6::Rollback2 Method ()
IEdmRevision6::Rollback2 Method ()

# Availability

SOLIDWORKS PDM Professional 2015